{ pkgs ? import <nixpkgs> { config.android_sdk.accept_license = true; config.allowUnfree = true; } }:

pkgs.mkShell {
    buildInputs = [
        pkgs.flutter
        #pkgs.android-tools  # for adb
        #pkgs.openjdk        # required for Android builds
    ];

    # Set up Android SDK paths if needed
    shellHook = ''
        export ANDROID_SDK_ROOT=${pkgs.androidsdk}/libexec/android-sdk
        export PATH=$PATH:${pkgs.androidsdk}/libexec/android-sdk/platform-tools
        echo "Flutter dev environment ready. 'adb' and 'flutter' are available."
    '';
}

